package com.sun.ts.tests.jpa.core.override.table;

import javax.persistence.Id;

public class NoTableAnnotation implements java.io.Serializable {

    private Long id;

    public NoTableAnnotation() {
    }

    @Id
    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public int hashCode() {
        int hash = 0;
        hash += (this.id != null ? this.id.hashCode() : 0);
        return hash;
    }

    public boolean equals(java.lang.Object object) {
// TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof NoTableAnnotation)) {
            return false;
        }
        NoTableAnnotation other = (NoTableAnnotation) object;
        if (this.id != other.id && (this.id == null ||
                !this.id.equals(other.id))) {
            return false;
        }
        return true;
    }

    public String toString() {
        return "com.sun.ts.tests.jpa.core.override.table." +
                "NoTableAnnotation[id=" + id + "]";
    }
}
